import { BoxProps, TypographyProps } from '@mui/material';
import { ElementType } from 'react';
export declare function TBox<C extends ElementType>({ component, ...rest }: BoxProps<C, {
    component: C;
}>): import("react/jsx-runtime").JSX.Element;
export declare function TTypography<C extends ElementType>({ component, ...rest }: TypographyProps<C, {
    component: C;
}>): import("react/jsx-runtime").JSX.Element;
